### Method

# FwupdPlugin UefiDevice set_efivar_bytes

since: 2.0.5

#### Declaration [src]

    gboolean
    fu_uefi_device_set_efivar_bytes (
      FuUefiDevice* self,
      const gchar* guid,
      const gchar* name,
      GBytes* bytes,
      guint32 attr,
      GError** error
    )

#### Description [src]

Sets the data to a UEFI variable in NVRAM, emulating if required.

Available since: 2.0.5

#### Parameters

`guid`

  Type: `const gchar*`

  Globally unique identifier.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`name`

  Type: `const gchar*`

  Variable name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`bytes`

  Type: `GBytes`

  Data blob.

  The data is owned by the caller of the method.

`attr`

  Type: `guint32`

  Attributes.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success.